Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1151121 - spacewalk-export --org fails for system-profile
Summary: spacewalk-export --org fails for system-profile
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client
Version: 570
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Jan Hutař
URL:
Whiteboard:
: 1185837 (view as bug list)
Depends On:
Blocks: sat570-blockers
TreeView+ depends on / blocked
 
Reported: 2014-10-09 15:39 UTC by Grant Gainey
Modified: 2018-03-02 20:26 UTC (History)
5 users (show)

Fixed In Version: spacewalk-utils-2.3.2-5
Doc Type: Bug Fix
Doc Text:
Clone Of: 1150697
Environment:
Last Closed: 2015-01-13 10:18:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Grant Gainey 2014-10-09 15:39:37 UTC
+++ This bug was initially created as a clone of Bug #1150697 +++

Description of problem:

Specifying --org <org-id> for spacewalk-export fails to export system-profiles

Version-Release number of selected component (if applicable):

spacewalk-utils-2.0.2-16.el6sat.noarch

How reproducible:

Try "spacewalk-export --org 1"

Actual results:

===
~ $ spacewalk-export --org 1
INFO: Processing users...
INFO: Processing system-groups...
INFO: Processing config-files...
INFO: Processing repositories...
INFO: Processing channels...
Processing organization: RED HAT SATELLITE ENGINEERING
INFO: Processing activation-keys...
INFO: Processing kickstart-scripts...
INFO: Processing system-profiles...
Unknown column [org_id] in report [system-profiles].
INFO: Export-file created at /root/spacewalk-export-dir/spacewalk_export.tar.gz
===

Expected results:

===
~ $ spacewalk-export --org 1
INFO: Processing users...
INFO: Processing system-groups...
INFO: Processing config-files...
INFO: Processing repositories...
INFO: Processing channels...
Processing organization: RED HAT SATELLITE ENGINEERING
INFO: Processing activation-keys...
INFO: Processing kickstart-scripts...
INFO: Processing system-profiles...
INFO: Export-file created at /root/spacewalk-export-dir/spacewalk_export.tar.gz
===

Additional info:

spacewalk-report system-profiles calls it 'organization_id'

Workaround:

  Export system-profiles directly:

  # spacewalk-report --where-organization-id <ID> system-profiles > ~/spacewalk-export-dir/exports/system-profiles.csv

--- Additional comment from Grant Gainey on 2014-10-08 13:49:16 EDT ---

spacewalk commit 0310f02553ed4475ccedf93746631b2b832fe4a6

Comment 3 Pavel Studeník 2015-01-09 11:57:30 UTC
Reverified with spacewalk-utils-2.3.2-11.el6sat.noarch

# spacewalk-export --entities=system-profiles --org=1
INFO: Processing system-profiles...
INFO: Export-file created at /root/spacewalk-export-dir/spacewalk_export.tar.gz
# echo $?
0

Comment 4 Clifford Perry 2015-01-13 10:18:48 UTC
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 -
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

Cliff

Comment 5 Lukáš Hellebrandt 2015-01-26 13:06:25 UTC
*** Bug 1185837 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.